{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>呆错附件管理插件演示－{:config('common.site_name')}</title>
<meta name="keywords" content="呆错附件管理插件" />
<meta name="description" content="呆错附件管理是一款征对用户上传的文件进行可视化管理的工具！" />
{/block}
{block name="header"}{include file="apps/common/view/widget/header.tpl" /}{/block}
<!--main -->
{block name="main"}
<div class="container pt-5">
  <h1 class="text-center mb-4">呆错附件管理插件</h1>
  <p class="lead text-center text-muted mb-5">呆错附件管理是一款征对用户上传的文件进行可视化管理的工具、支持设置<a class="text-decoration-none" href="{:DcUrl('attachment/editor/score')}" data-toggle="attachment-score">附件积分</a>！</p>
    <form>
      <div class="input-group">
        <input class="form-control" type="text" name="url" id="url" placeholder="支持的文件上传类型（.jpg|.png|.bmp|.jpeg|.gif|.zip）" autocomplete="off" required>
        <div class="input-group-append">
          <button class="btn btn-secondary" type="button" data-url="{:DcUrl('attachment/editor/index')}" data-toggle="attachment-editor"><i class="fa fa-file-o mr-1"></i>选择</button>
          <button class="btn btn-purple dc-upload" type="button" data-toggle="upload" data-mime-types="image/*,application/zip" data-max-size="{$Think.config.common.upload_max_size|default='5mb'}" data-url="{:DcUrl('attachment/apis/save')}" data-multiple="false" data-on-success="daicuo.attachment.index.uploadSuccess" data-on-error="daicuo.attachment.index.uploadError" data-on-complete="daicuo.attachment.index.uploadComplete" style="border-top-right-radius: 3px;border-bottom-right-radius: 3px;"><i class="fa fa-upload mr-1"></i>上传</button>
        </div>
      </div>
    </form>
    <div class="row pt-5">
        <div class="col-md-4 mb-3">
          <p class="mb-2 text-dark">
            <i class="text-purple fa fa-fw fa-image"></i> 附件积分展示与下载
          </p>
          <p class="text-muted">网站后台>系统>附件管理>编辑对应的附件</p>
        </div>
        <div class="col-md-4 mb-3">
          <p class="mb-2 text-dark">
            <i class="text-purple fa fa-fw fa-image"></i> 本地附件跳转显示
          </p>
          <p class="text-muted">通过配置参数直接跳转至附件真实访问地址</p>
        </div>
        <div class="col-md-4 mb-3">
          <p class="mb-2 text-dark">
            <i class="text-purple fa fa-fw fa-image"></i> 本地附件动态显示
          </p>
          <p class="text-muted">通过附件ID、HASH值调用本地图片、文件</p>
        </div>
        <div class="col-md-4 mb-3">
          <p class="mb-2 text-dark">
            <i class="text-purple fa fa-fw fa-image"></i> 远程附件跳转显示
          </p>
          <p class="text-muted">通过配置参数直接跳转至外链真实访问地址</p>
        </div>
        <div class="col-md-4 mb-3">
          <p class="mb-2 text-dark">
            <i class="text-purple fa fa-fw fa-image"></i> 远程附件动态显示
          </p>
          <p class="text-muted">通过附件ID、HASH值调用远程图片、文件</p>
        </div>
        <div class="col-md-4 mb-3">
          <p class="mb-2 text-dark">
            <i class="text-purple fa fa-fw fa-image"></i> 附件上传组件扩展
          </p>
          <p class="text-muted">通过上传组件预留的钩子可对接多种上传事件</p>
        </div>
    </div>
</div>
{/block}
{block name="footer"}{include file="apps/common/view/widget/footer.tpl" /}{/block}